curl --request GET \
--url https://rest.forestreet.com/v2/impact/companies/{identifier} \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/impact/companies/{identifier}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/impact/companies/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"domain": "<string>",
"nameOfFirm": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"phoneNumber": "<string>",
"eMailAddress": "<string>",
"yearEstablished": "<string>",
"keywords": [
"<string>"
],
"naicsCodes": [
123
],
"naicsDescriptions": [
"<string>"
],
"description": "<string>",
"certifications": [
"<string>"
],
"unverifiedCertifications": [
"<string>"
],
"revenue": {
"id": 123,
"label": "<string>",
"actual": {
"value": 123,
"currency": "<string>"
}
},
"size": {
"id": 123,
"label": "<string>",
"actual": 123
},
"location": {
"state": {
"_id": "<string>",
"type": "<string>",
"name": "<string>",
"code": "<string>",
"country": "<string>"
},
"country": {
"_id": "<string>",
"type": "<string>",
"name": "<string>",
"code": "<string>"
}
}
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Company not found"
}Get a company
Get impact data for a specific company
Authorizations
Pass a static API key for every request, provided by your customer support.
Path Parameters
Unique identifier of the company.
1Response
Get impact data for a specific company response
MongoDB ObjectId of the company.
Company's domain name.
Name of the firm.
Primary address line.
Secondary address line.
City where the company is located.
Primary phone number of the company.
Primary email address of the company.
Year the company was established.
Keywords associated with the company.
List of NAICS codes for the company.
Descriptions for the company's NAICS codes.
Brief description of the company.
Verified certifications held by the company.
Unverified certifications claimed by the company.
Revenue information of the company.
Show child attributes
Show child attributes
Company size information.
Show child attributes
Show child attributes
Location details of the company.
Show child attributes
Show child attributes